%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: Horde ActiveSync Server Library
Name: Horde_ActiveSync
Version: 2.41.5
Release: 1%{?dist}
License: GPL-2.0
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_ActiveSync-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_ActiveSync
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: Horde_Compress >= 2.0.0
Requires: Horde_Compress < 3.0.0alpha1
Requires: Horde_Date >= 2.0.0
Requires: Horde_Date < 3.0.0alpha1
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Icalendar >= 2.0.0
Requires: Horde_Icalendar < 3.0.0alpha1
Requires: Horde_Mapi >= 1.0.0
Requires: Horde_Mapi < 2.0.0alpha1
Requires: Horde_Mime >= 2.0.0
Requires: Horde_Mime < 3.0.0alpha1
Requires: Horde_Stream >= 1.4.0
Requires: Horde_Stream < 2.0.0alpha1
Requires: Horde_Support >= 2.0.0
Requires: Horde_Support < 3.0.0alpha1
Requires: Horde_Util >= 2.0.0
Requires: Horde_Util < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0           
Requires: php-channel(pear.horde.org)   
BuildArch: noarch

Provides:       %{name} = %{version}

%description
Libraries for implementing an ActiveSync server.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_ActiveSync.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_ActiveSync.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_ActiveSync >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/Horde_ActiveSync/*
%{peardir}/*
%{xmldir}/Horde_ActiveSync.xml

%changelog
* Tue Oct 20 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 2.41.5-1
- Updated to 2.41.5

* Sun Jun 14 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 2.41.4-1
- Updated to 2.41.4

* Wed Mar 25 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 2.41.3-1
- Updated to 2.41.3

* Thu Feb 20 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 2.41.2-1
- Updated to 2.41.2

* Mon Dec 30 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.41.1-1
- Updated to 2.41.1

* Fri Dec 6 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.41.0-1.1
- Modified the file, /usr/share/pear/Horde/ActiveSync/Wbxml/Decoder.php, changing all
- instances of continue to continue 2 for when using newer versions of PHP.  
- This is only a temp fix until the horde devs provide a permanent fix

* Fri Dec 6 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.41.0-1
- Updated to 2.41.0

* Mon Nov 11 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.40.2-1.1
- Modified the file, /usr/share/pear/Horde/ActiveSync/Wbxml/Decoder.php, changing all
- instances of continue to continue 2 for when using newer versions of PHP.  
- This is only a temp fix until the horde devs provide a permanent fix

* Mon Nov 11 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.40.2-1
- Updated to 2.40.2

* Wed Oct 30 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.40.1-1.1
- Modified the file, /usr/share/pear/Horde/ActiveSync/Wbxml/Decoder.php, changing all
- instances of continue to continue 2 for when using newer versions of PHP.  
- This is only a temp fix until the horde devs provide a permanent fix

* Wed Oct 30 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.40.1-1
- Updated to 2.40.1

* Thu Aug 22 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.40.0-1
- Updated to 2.40.0

* Sat Jul 13 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.39.9-1.1
- Modified the files, /usr/share/pear/Horde/ActiveSync/Wbxml/Decoder.php and
- /usr/share/pear/Horde/ActiveSync/Request/ to make it stop showing errors when 
- when using new versions of PHP.  This is only a temp fix until the horde
- devs provide a permanent fix

* Sat May 4 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.39.9-1
- Updated to 2.39.9

* Wed Mar 20 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.39.8-1
- Updated to 2.39.8

* Wed Jan 16 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.39.7-1
- Updated to 2.39.7

* Tue Dec 4 2018 John H. Bennett III <bennettj@johnbennettservices.com> - 2.39.5-1
- Updated to 2.39.5

* Sun Oct 28 2018 John H. Bennett III <bennettj@johnbennettservices.com> - 2.39.4-1
- Updated to 2.39.4

* Mon Jun 18 2018 John H. Bennett III <bennettj@johnbennettservices.com> - 2.39.3-1
- Updated to 2.39.3

* Sun Jan 21 2018 John H. Bennett III <bennettj@johnbennettservices.com> - 2.39.1-1
- Updated to 2.39.1

* Sun Dec 17 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.39.0-1
- Updated to 2.39.0

* Sun Sep 10 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.38.8-1
- Updated to 2.38.8

* Tue Aug 1 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.38.7-1
- Updated to 2.38.7

* Sat Jun 24 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.38.6-1
- Updated to 2.38.6

* Wed May 5 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.38.4-1
- Updated to 2.38.4

* Sat Apr 1 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.38.2-1
- Updated to 2.38.2

* Sat Mar 4 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.38.0-1
- Updated to 2.38.0

* Sat Dec 3 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.37.4-1
- Updated to 2.37.4

* Sun Sep 11 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.36.0-1
- Updated to 2.36.0

* Tue Jul 26 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.35.0-1
- Updated to 2.35.0

* Tue Jun 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.34.0-1
- Updated to 2.34.0

* Wed Apr 27 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.9-1
- Updated to 2.31.9

* Sat Mar 26 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.8-1
- Updated to 2.31.8

* Wed Feb 24 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.5-1
- Updated to 2.31.5

* Sun Jan 31 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.6-1
- Updated to 2.30.6

* Mon Jan 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.5-1
- Updated to 2.30.5

* Sat Dec 26 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.3-1
- Updated to 2.30.3

* Sat Dec 26 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.3-1
- Updated to 2.30.3

* Wed Nov 25 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.2-1
- Updated to 2.30.2

* Wed Oct 28 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.1-1
- Updated to 2.30.1

* Fri Oct 23 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.0-1
- Updated to 2.30.0

* Tue Sep 22 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.29.2-1
- Updated to 2.29.2

* Fri Sep 4 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.29.1-1
- Updated to 2.29.1

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.28.6-1
- Updated to 2.28.6

* Mon Jun 15 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.28.5-1
- Updated to 2.28.5

* Wed Jun 3 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.28.4-1
- Updated to 2.28.4

* Sat May 2 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.27.1-1
- Updated to 2.27.1

* Sat Apr 4 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.27.0-1
- Updated to 2.27.0

* Sat Mar 7 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.26.1-1
- Updated to 2.26.1

* Wed Feb 25 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.26.0-1
- Updated to 2.26.0

* Fri Feb 6 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.24.1-1
- Updated to 2.24.1

* Sat Jan 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.24.0-1
- Updated to 2.24.0

* Sun Dec 28 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.23.0-1
- Updated to 2.23.0

* Thu Dec 12 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.21.0-1
- Updated to 2.21.0

* Tue Dec 9 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.20.5-1
- Updated to 2.20.4

* Tue Oct 21 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.19.4-1
- Updated to 2.19.4

* Tue Oct 07 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.19.3-1
- Updated to 2.19.3

* Sat Sep 20 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.19.1-1
- Updated to 2.19.1

* Wed Sep 3 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.18.1-1
- Updated to 2.18.1

* Wed Aug 27 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.18.0-1
- Updated to 2.18.0

* Tue Aug 13 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.17.0-1
- Updated to 2.17.0

* Sun Jul 13 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.16.11-1
- Updated to 2.16.11

* Wed Jun 25 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.16.7-1
- Updated to 2.16.7

* Tue Apr 29 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.14.1-1
- Updated to 2.14.1

* Thu Apr 3 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.13.4-1
- Updated to 2.13.4

* Mon Mar 24 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.13.3-1
- Updated to 2.13.3

* Sun Mar 16 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.13.2-1
- Updated to 2.13.2

* Tue Mar 11 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.13.1-1
- Updated to 2.13.1

* Sat Feb 8 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.12.4-1
- Updated to 2.12.4
- added Horde_Mapi requirement.  New for 2.12 release

* Wed Nov 20 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.9.1-1
- Updated to 2.9.1

* Tue Nov 19 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.9.0-1
- Updated to 2.9.0

* Thu Oct 24 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.8.5-1
- Updated to 2.8.5

* Fri Sep 6 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.7.3-1
- Updated to 2.7.3

* Sun Jul 21 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.5.6-1
- Updated to 2.5.6

* Mon Jun 3 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.3.6-1
- Initial release for SME Server
- Original build from pear make-rpm-spec

