%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: Horde Authentication API
Name: Horde_Auth
Version: 2.2.2
Release: 1%{?dist}
License: LGPL-2.1
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_Auth-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_Auth
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Util >= 2.0.0
Requires: Horde_Util < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
BuildArch: noarch

Provides:       %{name} = %{version}

%description
The Horde_Auth package provides a common interface into the various
backends for the Horde authentication system.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Auth.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Auth.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Auth >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/Horde_Auth/*
%{peardir}/*
%{xmldir}/Horde_Auth.xml

%changelog
* Sat Jun 24 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.2-1
- Updated to 2.2.2

* Sat Dec 3 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.1-1
- Updated to 2.2.1

* Tue Aug 8 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.0-1
- Updated to 2.2.0

* Tue Apr 5 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.12-1
- Updated to 2.1.12

* Tue Apr 5 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.12-1
- Updated to 2.1.12

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.11-1
- Updated to 2.1.11

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.10-1
- Updated to 2.1.10

* Sat May 2 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.8-1
- Updated to 2.1.8

* Thu Apr 16 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.7-1
- Updated to 2.1.7

* Sat Jan 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.6-1
- Updated to 2.1.6

* Sat Jun 21 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.5-1
- Updated to 2.1.5

* Wed May 21 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.4-1
- Updated to 2.1.4

* Thu Apr 3 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.3-1  
- Updated to 2.1.3

* Wed Mar 5 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.2-1
- Updated to 2.1.2

* Wed Oct 16 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.1-1
- Updated to 2.1.1

* Tue Sep 3 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.0-1
- Updated to 2.1.0

* Tue Jul 16 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.6-1
- Updated to 2.0.6

* Mon Jun 3 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.4-1
- Initial release for SME Server
- Original build from pear make-rpm-spec

