%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: Horde Form API
Name: Horde_Form
Version: 2.0.20
Release: 1%{?dist}
License: LGPL-2.1
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_Form-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_Form
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: Horde_Core >= 2.0.0
Requires: Horde_Core < 3.0.0alpha1
Requires: Horde_Date >= 2.0.0
Requires: Horde_Date < 3.0.0alpha1
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Mail >= 2.0.0
Requires: Horde_Mail < 3.0.0alpha1
Requires: Horde_Mime >= 2.0.0
Requires: Horde_Mime < 3.0.0alpha1
Requires: Horde_Nls >= 2.0.0
Requires: Horde_Nls < 3.0.0alpha1
Requires: Horde_Token >= 2.0.0
Requires: Horde_Token < 3.0.0alpha1
Requires: Horde_Translation >= 2.0.0
Requires: Horde_Translation < 3.0.0alpha1
Requires: Horde_Util >= 2.0.0
Requires: Horde_Util < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
BuildArch: noarch

Provides:       %{name} = %{version}

%description
The Horde_Form package provides form rendering, validation, and other
functionality for the Horde Application Framework.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Form.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Form.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Form >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/Horde_Form/*
%{peardir}/*
%{xmldir}/Horde_Form.xml

%changelog
* Sun Mar 8 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.20-1  
- Updated to 2.0.20

* Wed Jan 16 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.19-1  
- Updated to 2.0.19

* Tue Aug 1 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.18-1  
- Updated to 2.0.18

* Mon Apr 3 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.17-1  
- Updated to 2.0.17

* Tue Mar 21 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.16-1  
- Updated to 2.0.16

* Tue Sep 6 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.15-1  
- Updated to 2.0.15

* Wed Jul 27 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.14-1  
- Updated to 2.0.14

* Wed Mar 16 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.13-1  
- Updated to 2.0.13

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.12-1  
- Updated to 2.0.12

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.11-1  
- Updated to 2.0.11

* Sat Jan 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.9-1  
- Updated to 2.0.9

* Thu Apr 3 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.8-1  
- Updated to 2.0.8

* Wed Mar 5 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.7-1
- Updated to 2.0.7

* Mon Oct 28 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.6-1
- Updated to 2.0.6

* Sat Jun 29 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.5-1
- Updated to 2.0.5

* Mon Jun 3 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.4-1
- Initial release for SME Server
- Original build from pear make-rpm-spec

