%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: Horde Socket Client
Name: Horde_Socket_Client
Version: 2.1.3
Release: 1%{?dist}
License: LGPL-2.1
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_Socket_Client-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_Socket_Client
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
BuildArch: noarch

Provides:       %{name} = %{version}

%description
Provides abstract class for use in creating PHP network socket clients.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Socket_Client.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Socket_Client.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Socket_Client >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/Horde_Socket_Client/*
%{peardir}/*
%{xmldir}/Horde_Socket_Client.xml


%changelog
* Wed Mar 25 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.3-1
- Updated to 2.1.3

* Fri Feb 9 2018 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.2-1
- Updated to 2.1.2

* Mon Feb 22 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.1-1
- Updated to 2.1.1

* Mon Jan 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.0-1
- Updated to 2.1.0

* Tue Mar 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.0-1
- Updated to 2.0.0

* Mon Jun 30 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.2-1
- Updated to 1.1.2

* Sat Jan 25 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.1-1
- Updated to 1.1.1

* Wed Oct 30 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.0-1
- Updated to 1.1.0

* Mon Oct 21 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.0-1
- Initial release for SME Server
- Original build from pear make-rpm-spec
