%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear
%global pear_name Net_URL2

Summary: Class for parsing and handling URL
Name: php-pear-Net-URL2
Version: 2.2.1
Release: 1%{?dist}
License: BSD
Group: Development/Libraries
Source0: http://pear.php.net/get/Net_URL2-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.php.net/package/Net_URL2

BuildRequires:  php-pear(PEAR) >= 1.4.7
Provides:       php-pear(%{pear_name}) = %{version}

#BuildRequires: PEAR::PEAR >= 1.4.7

BuildArch: noarch

%description
Provides parsing of URLs into their constituent parts (scheme, host, path
etc.), URL generation, and resolving of relative URLs.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_URL2.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_URL2.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_URL2 >/dev/null || :
fi

%files
%defattr(-,root,root)
%doc docs/Net_URL2/*
%{peardir}/*
%{xmldir}/Net_URL2.xml

%changelog
* Mon Apr 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.1-1
- updated to 2.2.1

* Mon Apr 20 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.0-1
- updated to 2.2.0

* Sat Oct 25  2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.0-1
- updated to 2.1.0

* Mon Sep 8 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.7-1
- updated to 2.0.7

* Sat Jun 21 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.6-1
- updated to 2.0.6

* Wed Jan 1 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.5-1
- updated to 2.0.5

* Mon May 6 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.0-2
- updated spec file requires section, and left original info remarked.

* Sun May 5 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.0-1
- Original from pear-make-rpm-spec.

